Subject: Re: bug#21305: 25.0.50; `get-buffer-window-list' doc - what order?

From: martin rudalics <[email-masked]>
Date: Fri, 21 Aug 2015 17:28:06 +0200

> But as one user I'm disappointed.  I was hoping for a usable
 > window order.  In fact, I was hoping for something similar to
 > `buffer-list' - hoping that users would get a list of the windows
 > (displaying a particular buffer) in order of their last use.
 >
 > I know no way to obtain such a list, but if there is one, please
 > be so kind as to let me know.  `walk-windows' etc. go through
 > windows in their "structural" order, but how can I tell, given
 > a list of windows showing a given buffer, which were last used
 > after which others?
 >
 > Yes, my question is outside the scope of this bug (if the list
 > `get-buffer-window-list' has no order we can depend on or even
 > if its order is unrelated to the chronological order of access).

I suppose you mean that we should document `window-use-time' too.
Correct?

martin